## mingw-w64-python-colour-science-0.4.7-2.src.tar.zst

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv export --no-hashes --all-extras
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
anyio==4.12.0
    # via
    #   httpx
    #   jupyter-server
appnope==0.1.4 ; sys_platform == 'darwin'
    # via ipykernel
argon2-cffi==25.1.0
    # via jupyter-server
argon2-cffi-bindings==25.1.0
    # via argon2-cffi
arrow==1.4.0
    # via isoduration
asttokens==3.0.1
    # via stack-data
async-lru==2.0.5
    # via jupyterlab
attrs==25.4.0
    # via
    #   jsonschema
    #   referencing
babel==2.17.0
    # via
    #   jupyterlab-server
    #   pydata-sphinx-theme
    #   sphinx
backports-tarfile==1.2.0 ; python_full_version < '3.12'
    # via jaraco-context
backports-zstd==1.1.0 ; python_full_version < '3.14'
    # via hatch
beautifulsoup4==4.14.3
    # via
    #   nbconvert
    #   pydata-sphinx-theme
biblib-simple==0.1.2
    # via colour-science
bleach==6.3.0
    # via nbconvert
certifi==2025.11.12
    # via
    #   httpcore
    #   httpx
    #   requests
cffi==2.0.0
    # via
    #   argon2-cffi-bindings
    #   cryptography
    #   pyzmq
charset-normalizer==3.4.4
    # via requests
click==8.3.1
    # via
    #   hatch
    #   userpath
colorama==0.4.6 ; sys_platform == 'win32'
    # via
    #   click
    #   ipython
    #   pytest
    #   sphinx
    #   tqdm
comm==0.2.3
    # via
    #   ipykernel
    #   ipywidgets
contourpy==1.3.3
    # via matplotlib
coverage==7.12.0
    # via
    #   coveralls
    #   pytest-cov
coveralls==4.0.2
cryptography==46.0.3 ; sys_platform == 'linux'
    # via secretstorage
cycler==0.12.1
    # via matplotlib
debugpy==1.8.17
    # via ipykernel
decorator==5.2.1
    # via ipython
defusedxml==0.7.1
    # via nbconvert
distlib==0.4.0
    # via virtualenv
docopt==0.6.2
    # via coveralls
docutils==0.22.3
    # via
    #   pybtex-docutils
    #   pydata-sphinx-theme
    #   readme-renderer
    #   restructuredtext-lint
    #   sphinx
    #   sphinxcontrib-bibtex
execnet==2.1.2
    # via pytest-xdist
executing==2.2.1
    # via stack-data
fastjsonschema==2.21.2
    # via nbformat
filelock==3.20.0
    # via virtualenv
fonttools==4.61.0
    # via matplotlib
fqdn==1.5.1
    # via jsonschema
h11==0.16.0
    # via httpcore
hatch==1.16.1
hatchling==1.28.0
    # via hatch
httpcore==1.0.9
    # via httpx
httpx==0.28.1
    # via
    #   hatch
    #   jupyterlab
hyperlink==21.0.0
    # via hatch
id==1.5.0
    # via twine
idna==3.11
    # via
    #   anyio
    #   httpx
    #   hyperlink
    #   jsonschema
    #   requests
imageio==2.37.2
    # via colour-science
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0 ; python_full_version < '3.12'
    # via keyring
iniconfig==2.3.0
    # via pytest
invoke==2.2.1
ipykernel==7.1.0
    # via
    #   jupyter
    #   jupyter-console
    #   jupyterlab
ipython==9.8.0
    # via
    #   ipykernel
    #   ipywidgets
    #   jupyter-console
ipython-pygments-lexers==1.1.1
    # via ipython
ipywidgets==8.1.8
    # via jupyter
isoduration==20.11.0
    # via jsonschema
jaraco-classes==3.4.0
    # via keyring
jaraco-context==6.0.1
    # via keyring
jaraco-functools==4.3.0
    # via keyring
jedi==0.19.2
    # via ipython
jeepney==0.9.0 ; sys_platform == 'linux'
    # via
    #   keyring
    #   secretstorage
jinja2==3.1.6
    # via
    #   jupyter-server
    #   jupyterlab
    #   jupyterlab-server
    #   nbconvert
    #   sphinx
json5==0.12.1
    # via jupyterlab-server
jsonpointer==3.0.0
    # via jsonschema
jsonschema==4.25.1
    # via
    #   jupyter-events
    #   jupyterlab-server
    #   nbformat
jsonschema-specifications==2025.9.1
    # via jsonschema
jupyter==1.1.1
jupyter-client==8.6.3
    # via
    #   ipykernel
    #   jupyter-console
    #   jupyter-server
    #   nbclient
jupyter-console==6.6.3
    # via jupyter
jupyter-core==5.9.1
    # via
    #   ipykernel
    #   jupyter-client
    #   jupyter-console
    #   jupyter-server
    #   jupyterlab
    #   nbclient
    #   nbconvert
    #   nbformat
jupyter-events==0.12.0
    # via jupyter-server
jupyter-lsp==2.3.0
    # via jupyterlab
jupyter-server==2.17.0
    # via
    #   jupyter-lsp
    #   jupyterlab
    #   jupyterlab-server
    #   notebook
    #   notebook-shim
jupyter-server-terminals==0.5.3
    # via jupyter-server
jupyterlab==4.5.0
    # via
    #   jupyter
    #   notebook
jupyterlab-pygments==0.3.0
    # via nbconvert
jupyterlab-server==2.28.0
    # via
    #   jupyterlab
    #   notebook
jupyterlab-widgets==3.0.16
    # via ipywidgets
keyring==25.7.0
    # via
    #   hatch
    #   twine
kiwisolver==1.4.9
    # via matplotlib
lark==1.3.1
    # via rfc3987-syntax
latexcodec==3.0.1
    # via pybtex
markdown-it-py==4.0.0
    # via rich
markupsafe==3.0.3
    # via
    #   jinja2
    #   nbconvert
matplotlib==3.10.7
    # via colour-science
matplotlib-inline==0.2.1
    # via
    #   ipykernel
    #   ipython
mdurl==0.1.2
    # via markdown-it-py
mistune==3.1.4
    # via nbconvert
more-itertools==10.8.0
    # via
    #   jaraco-classes
    #   jaraco-functools
nbclient==0.10.2
    # via nbconvert
nbconvert==7.16.6
    # via
    #   jupyter
    #   jupyter-server
nbformat==5.10.4
    # via
    #   jupyter-server
    #   nbclient
    #   nbconvert
nest-asyncio==1.6.0
    # via ipykernel
networkx==3.6
    # via colour-science
nh3==0.3.2
    # via readme-renderer
nodeenv==1.9.1
    # via pyright
notebook==7.5.0
    # via jupyter
notebook-shim==0.2.4
    # via
    #   jupyterlab
    #   notebook
numpy==2.3.5
    # via
    #   colour-science
    #   contourpy
    #   imageio
    #   matplotlib
    #   numpy-typing-compat
    #   openimageio
    #   optype
    #   pandas
    #   scipy
    #   trimesh
numpy-typing-compat==20250818.2.3
    # via optype
opencolorio==2.5.0 ; python_full_version < '3.14'
    # via colour-science
openimageio==3.1.8.0
    # via colour-science
optype==0.14.0
    # via scipy-stubs
overrides==7.7.0 ; python_full_version < '3.12'
    # via jupyter-server
packaging==25.0
    # via
    #   hatch
    #   hatchling
    #   ipykernel
    #   jupyter-events
    #   jupyter-server
    #   jupyterlab
    #   jupyterlab-server
    #   matplotlib
    #   nbconvert
    #   pytest
    #   sphinx
    #   twine
pandas==2.3.3
    # via colour-science
pandocfilters==1.5.1
    # via nbconvert
parso==0.8.5
    # via jedi
pathspec==0.12.1
    # via hatchling
pexpect==4.9.0
    # via
    #   hatch
    #   ipython
pillow==12.0.0
    # via
    #   imageio
    #   matplotlib
platformdirs==4.5.1
    # via
    #   hatch
    #   jupyter-core
    #   virtualenv
pluggy==1.6.0
    # via
    #   hatchling
    #   pytest
    #   pytest-cov
prek==0.2.19
prometheus-client==0.23.1
    # via jupyter-server
prompt-toolkit==3.0.52
    # via
    #   ipython
    #   jupyter-console
psutil==7.1.3
    # via ipykernel
ptyprocess==0.7.0
    # via
    #   pexpect
    #   terminado
pure-eval==0.2.3
    # via stack-data
pybtex==0.25.1
    # via
    #   pybtex-docutils
    #   sphinxcontrib-bibtex
pybtex-docutils==1.0.3
    # via sphinxcontrib-bibtex
pycparser==2.23 ; implementation_name != 'PyPy'
    # via cffi
pydata-sphinx-theme==0.16.1
    # via colour-science
pydot==3.0.4
    # via colour-science
pygments==2.19.2
    # via
    #   accessible-pygments
    #   ipython
    #   ipython-pygments-lexers
    #   jupyter-console
    #   nbconvert
    #   pydata-sphinx-theme
    #   pytest
    #   readme-renderer
    #   rich
    #   sphinx
pyparsing==3.2.5
    # via
    #   matplotlib
    #   pydot
pyproject-hooks==1.2.0
    # via hatch
pyright==1.1.407
pytest==9.0.1
    # via
    #   pytest-cov
    #   pytest-xdist
pytest-cov==6.3.0
pytest-xdist==3.8.0
python-dateutil==2.9.0.post0
    # via
    #   arrow
    #   jupyter-client
    #   matplotlib
    #   pandas
python-json-logger==4.0.0
    # via jupyter-events
pytz==2025.2
    # via pandas
pywin32-ctypes==0.2.3 ; sys_platform == 'win32'
    # via keyring
pywinpty==3.0.2 ; os_name == 'nt'
    # via
    #   jupyter-server
    #   jupyter-server-terminals
    #   terminado
pyyaml==6.0.3
    # via
    #   jupyter-events
    #   pybtex
pyzmq==27.1.0
    # via
    #   ipykernel
    #   jupyter-client
    #   jupyter-console
    #   jupyter-server
readme-renderer==44.0
    # via twine
referencing==0.37.0
    # via
    #   jsonschema
    #   jsonschema-specifications
    #   jupyter-events
requests==2.32.5
    # via
    #   coveralls
    #   id
    #   jupyterlab-server
    #   requests-toolbelt
    #   sphinx
    #   twine
requests-toolbelt==1.0.0
    # via twine
restructuredtext-lint==2.0.2
    # via colour-science
rfc3339-validator==0.1.4
    # via
    #   jsonschema
    #   jupyter-events
rfc3986==2.0.0
    # via twine
rfc3986-validator==0.1.1
    # via
    #   jsonschema
    #   jupyter-events
rfc3987-syntax==1.1.0
    # via jsonschema
rich==14.2.0
    # via
    #   hatch
    #   twine
roman-numerals==3.1.0
    # via sphinx
rpds-py==0.30.0
    # via
    #   jsonschema
    #   referencing
scipy==1.16.3
    # via colour-science
scipy-stubs==1.16.3.2
secretstorage==3.5.0 ; sys_platform == 'linux'
    # via keyring
send2trash==1.8.3
    # via jupyter-server
setuptools==80.9.0
    # via jupyterlab
shellingham==1.5.4
    # via hatch
six==1.17.0
    # via
    #   python-dateutil
    #   rfc3339-validator
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.8
    # via beautifulsoup4
sphinx==9.0.4
    # via
    #   colour-science
    #   pydata-sphinx-theme
    #   sphinxcontrib-bibtex
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-bibtex==2.6.5
    # via colour-science
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
stack-data==0.6.3
    # via ipython
terminado==0.18.1
    # via
    #   jupyter-server
    #   jupyter-server-terminals
tinycss2==1.4.0
    # via bleach
toml==0.10.2
tomli==2.3.0 ; python_full_version <= '3.11'
    # via coverage
tomli-w==1.2.0
    # via hatch
tomlkit==0.13.3
    # via hatch
tornado==6.5.2
    # via
    #   ipykernel
    #   jupyter-client
    #   jupyter-server
    #   jupyterlab
    #   notebook
    #   terminado
tqdm==4.67.1
    # via colour-science
traitlets==5.14.3
    # via
    #   ipykernel
    #   ipython
    #   ipywidgets
    #   jupyter-client
    #   jupyter-console
    #   jupyter-core
    #   jupyter-events
    #   jupyter-server
    #   jupyterlab
    #   matplotlib-inline
    #   nbclient
    #   nbconvert
    #   nbformat
trimesh==4.10.0
    # via colour-science
trove-classifiers==2025.12.1.14
    # via hatchling
twine==6.2.0
typing-extensions==4.15.0
    # via
    #   anyio
    #   beautifulsoup4
    #   ipython
    #   optype
    #   pydata-sphinx-theme
    #   pyright
    #   referencing
tzdata==2025.2
    # via
    #   arrow
    #   pandas
uri-template==1.3.0
    # via jsonschema
urllib3==2.6.0
    # via
    #   requests
    #   twine
userpath==1.9.2
    # via hatch
uv==0.9.15
    # via hatch
virtualenv==20.35.4
    # via hatch
wcwidth==0.2.14
    # via prompt-toolkit
webcolors==25.10.0
    # via jsonschema
webencodings==0.5.1
    # via
    #   bleach
    #   tinycss2
websocket-client==1.9.0
    # via jupyter-server
widgetsnbextension==4.0.15
    # via ipywidgets
xxhash==3.6.0
    # via colour-science
zipp==3.23.0 ; python_full_version < '3.12'
    # via importlib-metadata

=== PKGBUILD ===
# Contributor: Brien Dieterle <briend@gmail.com>
# Contributor: Miloš Komarčević <miloskomarcevic@aim.com>

_realname=colour-science
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.4.7
pkgrel=2
pkgdesc="Python library for a multitude of colour science applications (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.colour-science.org'
msys2_repository_url='https://github.com/colour-science/colour'
msys2_references=(
  'aur: python-colour-science'
  'purl: pkg:pypi/colour-science'
)
license=('spdx:BSD-3-Clause')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-imageio"
         "${MINGW_PACKAGE_PREFIX}-python-numpy"
         "${MINGW_PACKAGE_PREFIX}-python-scipy"
         "${MINGW_PACKAGE_PREFIX}-python-typing_extensions")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-hatchling")
optdepends=("${MINGW_PACKAGE_PREFIX}-python-matplotlib"
            "${MINGW_PACKAGE_PREFIX}-python-networkx"
            "${MINGW_PACKAGE_PREFIX}-python-pandas"
            "${MINGW_PACKAGE_PREFIX}-python-tqdm"
            "${MINGW_PACKAGE_PREFIX}-python-trimesh")
conflicts=("${MINGW_PACKAGE_PREFIX}-python-${_realname//-science/}")
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname/-/_}-${pkgver}.tar.gz")
sha256sums=('b34773dc4dd3f9ba99cca5297fa10e9f532134d994b3a2308dacbe970dfd5079')

build() {
  cp -r "${_realname/-/_}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
